# Uses of Interface
org.eclipse.birt.report.engine.api.IRenderOption

Packages that use IRenderOption
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IRenderOption in org.eclipse.birt.report.engine.api

Subinterfaces of IRenderOption in org.eclipse.birt.report.engine.api
Modifier and Type
Interface
Description
`interface`
`IExcelRenderOption`
`interface`
`IHTMLRenderOption`
Interface of constants of the HTML Render Opitons.
`interface`
`IPDFRenderOption`
Defines render options for PDF emitter.
`interface`
`IPostscriptRenderOption`
`interface`
`IPPTRenderOption`
Classes in org.eclipse.birt.report.engine.api that implement IRenderOption
Modifier and Type
Class
Description
`class`
`DocxRenderOption`
Render option of docx output
`class`
`EXCELRenderOption`
`class`
`HTMLEmitterConfig`
Deprecated.
since 2.2, use HTMLRenderOption or RenderOption directly
`class`
`HTMLRenderOption`
output settings for HTML output format
`class`
`PDFRenderOption`
Defines render options for emitters
`class`
`RenderOption`
Settings for rendering a report to an output format.
`class`
`RenderOptionBase`
Deprecated.
use RenderOption instead
Fields in org.eclipse.birt.report.engine.api declared as IRenderOption
Modifier and Type
Field
Description
`protected IRenderOption`
HTMLRenderContext.`renderOption`
Deprecated.
HTML render option
Methods in org.eclipse.birt.report.engine.api that return IRenderOption
Modifier and Type
Method
Description
`IRenderOption`
HTMLRenderContext.`getRenderOption()`
Deprecated.
`IRenderOption`
IRenderTask.`getRenderOption()`
`IRenderOption`
IReportPart.`getRenderOption()`
returns the rendering options
`IRenderOption`
IRunAndRenderTask.`getRenderOption()`
Methods in org.eclipse.birt.report.engine.api with parameters of type IRenderOption
Modifier and Type
Method
Description
`void`
HTMLRenderContext.`setRenderOption(IRenderOption option)`
Deprecated.
`void`
IRenderTask.`setRenderOption(IRenderOption options)`
set the rendering options
`void`
IRunAndRenderTask.`setRenderOption(IRenderOption options)`
set the rendering options
`void`
HTMLRenderContext.`SetRenderOption(IRenderOption option)`
Deprecated.
it is deprecated and use the setRenderOption instead.
Constructors in org.eclipse.birt.report.engine.api with parameters of type IRenderOption
Modifier
Constructor
Description
``
`EXCELRenderOption(IRenderOption options)`
``
`HTMLRenderOption(IRenderOption options)`
Constructor 1
``
`PDFRenderOption(IRenderOption options)`
Constructor.
``
`RenderOption(IRenderOption options)`
Constructor.

## Uses of IRenderOption in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter that return IRenderOption
Modifier and Type
Method
Description
`IRenderOption`
IEmitterServices.`getRenderOption()`